package com.zjrs.zwnw.sxgl.blo;

import org.mohrss.leaf.core.framework.domain.blo.IBLO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.sxgl.dto.HcpCkDTO;
import com.zjrs.zwnw.sxgl.dto.HcpCkQueryDTO;
import com.zjrs.zwnw.sxgl.dto.HcpQueryDTO;
import com.zjrs.zwnw.sxgl.po.RsJkHcpPO;
import com.zjrs.zwnw.sxgl.po.RsKsjgDybPO;

import java.util.List;

public interface HcpglBLO extends IBLO {
	
	//查询好差评列表
	public PageResult getHcpList(HcpQueryDTO dto);
	
	//保存修改评价信息
	public void updateRsJkHcp(RsJkHcpPO rsJkHcpPO);
	
	//获取当前用户主办科室字典
	public List<RsKsjgDybPO> getZbks(String orgId, String ssbmmc);
	
	//一窗通办查询评价办件信息
	public HcpCkDTO getSlxx(HcpCkQueryDTO dto);
	
	//一窗通办保存评价信息
	public void saveRsJkHcp(RsJkHcpPO rsJkHcpPO);
}
